#!/bin/bash


grep -v '#' Sig.average > Sig.work
grep '#' Sig.average > sig.inp

strans Sig.work '#1' '#2'  '#3'  '#14' '#15' > Sig.1
strans Sig.work '#1' '#4'  '#5'  '#16' '#17' > Sig.2
strans Sig.work '#1' '#6'  '#7'  '#18' '#19' > Sig.3
strans Sig.work '#1' '#8'  '#9'  '#20' '#21' > Sig.4
strans Sig.work '#1' '#10' '#11' '#22' '#23' > Sig.5
strans Sig.work '#1' '#12' '#13' '#24' '#25' > Sig.6

for x in `seq 1 6`; do mkdir n.$x; done

for x in `seq 1 6`; do cp Sig.$x pmesh.py ancont.py chi2f.so n.$x; done


for x in `seq 1 6`; do cd n.$x; ancont.py -sig Sig.$x -nom 30 -beta 40 -FermiLiquid True -Ng 35 -wexp 1.2 -p0 10 -L0 20; cd ../; done

strans n.1/Sig.out n.2/Sig.out n.3/Sig.out n.4/Sig.out n.5/Sig.out n.6/Sig.out '#1' '#1:2' '#1:3' '#2:2' '#2:3' '#3:2' '#3:3' '#4:2' '#4:3' '#5:2' '#5:3' '#6:2' '#6:3' >> sig.inp



